%define __spec_install_post /usr/lib/rpm/brp-compress || :

Summary: An open source web programming language
Name: haxe
Version: 2.07
Release: 1
License: LGPL
Group: Programming/Language
Source: http://www.haxe.org/_media/%{name}-%{version}-%{release}.tar.bz2
Source1: haxeserver
URL: http://www.haxe.org/
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: neko >= 1.8.1
BuildPreReq: sed, ocaml >= 3.09, neko >= 1.8.1
BuildRequires: gc-devel, zlib-devel
Packager: Daichi Shinozaki <dseg@shield.jp>

%description
haXe is a high-level object-oriented programming language mainly focused on
helping programers develop Websites and Web applications. haXe has been
designed to be easily portable across several platforms. The haXe compiler
supports the following platforms :

*JavaScript
*Flash
*Neko
*C++
*PHP

%prep
%setup -q -n %{name}-%{version}-%{release}

%{__sed} -e 's/\(\tdownload();\)/(*\1*)/g' haxe/doc/install.ml>haxe/doc/install.ml.new
%{__mv} haxe/doc/install.ml.new haxe/doc/install.ml

%build
unset NEKOPATH
ocaml haxe/doc/install.ml
#cd haxe/std
#export HAXE_LIBRARY_PATH=`pwd`
#cd ../doc
cd haxe/doc
cp ../../bin/haxe .
if [ -d /usr/lib/haxe/std ]; then
  mv /usr/lib/haxe/std /usr/lib/haxe/std___
fi
cp -R ../std /usr/lib/haxe/
./haxe all.hxml
mv *.xml ../
cd ../std/tools/haxelib
../../../../bin/haxe haxelib.hxml
cd ../haxedoc
../../../../bin/haxe haxedoc.hxml
./haxedoc "../../../flash.xml;flash" "../../../neko.xml;neko" "../../../js.xml;js" "../../../flash9.xml;flash9;flash" "../../../php.xml;php" "../../../cpp.xml;cpp"
rm *.xml

rm -rf /usr/lib/haxe/std
if [ -d /usr/lib/haxe/std___ ]; then
  mv /usr/lib/haxe/std___ /usr/lib/haxe/std
fi

%install
rm -rf $RPM_BUILD_ROOT

mkdir -m755 -p $RPM_BUILD_ROOT%{_bindir}
cp %{SOURCE1} $RPM_BUILD_ROOT%{_bindir}
mkdir -m755 -p $RPM_BUILD_ROOT%{_libdir}/%{name}
mkdir -m755 -p $RPM_BUILD_ROOT%{_docdir}/%{name}
cd haxe

%{__install} -m 755 ./std/tools/haxedoc/haxedoc $RPM_BUILD_ROOT%{_bindir}
%{__install} -m 755 ./std/tools/haxelib/haxelib $RPM_BUILD_ROOT%{_bindir}
cp -R ./std $RPM_BUILD_ROOT%{_libdir}/%{name}
cp ../bin/haxe $RPM_BUILD_ROOT%{_bindir}
cd ./std/tools/haxedoc
cp index.html $RPM_BUILD_ROOT%{_docdir}/%{name}
cp -R content $RPM_BUILD_ROOT%{_docdir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc haxe/doc/CHANGES.txt haxe/doc/LICENSE.txt
%dir %{_bindir}
%dir %{_libdir}/%{name}
%attr(755,root,root) %{_bindir}/*
%attr(644,root,root)
%{_libdir}/%{name}/*
%{_docdir}/%{name}/*

%changelog
* Mon Jan 31 2011 Daichi Shinozaki <dseg@shield.jp> 2.07-1
- New upstream (v2.07)

* Mon Jan 17 2011 Daichi Shinozaki <dseg@shield.jp> 2.06-4
- New upstream (svn r3622)

* Fri Dec 31 2010 Daichi Shinozaki <dseg@shield.jp> 2.06-3
- New upstream (svn r3563)

* Tue Sep 8 2010 Daichi Shinozaki <dseg@shield.jp> 2.06-2
- New upstream (svn r3375)

* Sun Aug 15 2010  Daichi Shinozaki <dseg@shield.jp> 2.06-1
- New upsteam (tags v2-06).

* Mon May 3 2010  Daichi Shinozaki <dseg@shield.jp> 2.05-2
- Docs added.

* Sun Jan 10 2010 Daichi Shinozaki <dseg@shield.jp> 2.05-1
- New upsteram.

* Mon Mar 23 2009 Daichi Shinozaki <dseg@shield.jp> 2.03-1
- New upstream.

* Mon Nov 24 2008 Daichi Shinozaki <dseg@shield.jp> 2.02-1
- New upstream.

* Sun Apr 6 2008 Daichi Shinozaki <dseg@shield.jp> 1.19-1
- New upstream.

* Sat Mar 29 2008 Daichi Shinozaki <dseg@shield.jp> 1.18-1
- New upstream.

* Thu Feb 14 2008 Daichi Shinozaki <dseg@shield.jp> 1.17-1
- New upstream.

* Tue Sep 4 2007 Daichi Shinozaki <dseg@shield.jp> 1.15-1
- New upstream.

* Sun Aug 26 2007 Daichi Shinozaki <dseg@shield.jp> 1.14-1
- New upstream.

* Wed Mar 21 2007 Daichi Shinozaki <dseg@shield.jp> 1.12-1
- New upstream.

* Sat Feb 24 2007 Daichi Shinozaki <dseg@shield.jp> 1.11-1
- New upstream.

* Thu Jan 4 2007 Daichi Shinozaki <dseg@shield.jp> 1.10-2
- Added dependency to neko.
- Fixed a problem: haxelib doesn't build when no previous version of haxe 
installed on that machine.

* Wed Jan 3 2007 Daichi Shinozaki <dseg@shield.jp> 1.10-1
- New upstream.

* Thu Nov 23 2006 Daichi Shinozaki <dseg@shield.jp> 1.09-1
- Initial release.
